from sde.serializers import *
from rest_framework import viewsets


class SDEIconViewSet(viewsets.ReadOnlyModelViewSet):
    queryset = SDEIcon.objects.all()
    serializer_class = SDEIconSerializer
    # permission_classes = [permissions.IsAuthenticated]


class SDECategoryViewSet(viewsets.ReadOnlyModelViewSet):
    queryset = SDECategory.objects.all()
    serializer_class = SDECategorySerializer
    # permission_classes = [permissions.IsAuthenticated]


class SDEGroupViewSet(viewsets.ReadOnlyModelViewSet):
    queryset = SDEGroup.objects.all()
    serializer_class = SDEGroupSerializer
    # permission_classes = [permissions.IsAuthenticated]


class SDEMarketGroupViewSet(viewsets.ReadOnlyModelViewSet):
    queryset = SDEMarektGroup.objects.all()
    serializer_class = SDEMarektGroupSerializer
    # permission_classes = [permissions.IsAuthenticated]


class SDEMetaGroupViewSet(viewsets.ReadOnlyModelViewSet):
    queryset = SDEMetaGroup.objects.all()
    serializer_class = SDEMetaGroupSerializer
    # permission_classes = [permissions.IsAuthenticated]


class SDETypeViewSet(viewsets.ReadOnlyModelViewSet):
    queryset = SDEType.objects.all()
    serializer_class = SDETypeSerializer
    # permission_classes = [permissions.IsAuthenticated]


class SDETypeMaterialViewSet(viewsets.ReadOnlyModelViewSet):
    queryset = SDETypeMaterial.objects.all()
    serializer_class = SDETypeMaterialSerializer
    # permission_classes = [permissions.IsAuthenticated]


